> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Creates a new Connect URL for the specified user.


# Create a Connect URL



## OpenAPI

````yaml post /v2/open-banking/connect
openapi: 3.0.0
info:
  title: Open Banking API
  version: 1.0.0
  description: >
    Open banking endpoints for connect URLs, bank accounts, institutions, and
    banking reports.
servers: []
security:
  - basicAuth: []
paths:
  /v2/open-banking/connect:
    post:
      summary: Create a Connect URL
      description: Creates a new Connect URL for the specified user.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                user:
                  type: string
                  format: uuid
                  description: ID of the user object.
                webhook:
                  type: string
                  format: uri
                  description: Webhook URL to receive Connect Events.
                webhook_data:
                  type: object
                  description: Optional data added to Connect Events webhook payloads.
                experience:
                  type: string
                  description: >
                    Experience ID that customizes the bank connection
                    experience.


                    If an `experience` value is not provided, a default
                    experience configured by the Argyle team will be applied.
                single_use_url:
                  type: boolean
                  description: >-
                    If true, the Connect URL expires after the session
                    completes.
                redirect_url:
                  type: string
                  format: uri
                  description: Redirect users after they complete the session.
              required:
                - user
                - webhook
            example:
              user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
              webhook: https://your-webhook-backend.com
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  open_banking_link:
                    type: string
                    description: Connect URL for the user.
              example:
                open_banking_link: https://connect_url_link.com
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````